Loading...
Searching...
No Matches
GradientBiased< MapType, GradScheme > Struct Template Reference

Biased gradient operators, defined with respect to the range-space of the map. More...

`#include <openvdb/math/Operators.h>`

## Static Public Member Functions

template<typename Accessor>
static math::Vec3< typename Accessor::ValueType > | result (const MapType &map, const Accessor &grid, const Coord &ijk, const Vec3< typename Accessor::ValueType > &V)
template<typename StencilT>
static math::Vec3< typename StencilT::ValueType > | result (const MapType &map, const StencilT &stencil, const Vec3< typename StencilT::ValueType > &V)

## Detailed Description

template<typename MapType, BiasedGradientScheme GradScheme>
struct openvdb::v10_0::math::GradientBiased< MapType, GradScheme >

Biased gradient operators, defined with respect to the range-space of the map.

Note
  This will need to be divided by two in the case of CD_2NDT

## Member Function Documentation

## result() [1/2]

template<typename MapType, BiasedGradientScheme GradScheme>
template<typename Accessor>

math::Vec3< typename Accessor::ValueType > result | ( | const MapType & | map,
|  | const Accessor & | grid,
|  | const Coord & | ijk,
|  | const Vec3< typename Accessor::ValueType > & | V )

inline static

## result() [2/2]

template<typename MapType, BiasedGradientScheme GradScheme>
template<typename StencilT>

math::Vec3< typename StencilT::ValueType > result | ( | const MapType & | map,
|  | const StencilT & | stencil,
|  | const Vec3< typename StencilT::ValueType > & | V )

inline static